Manualul de utilizare pamdice(1)

NUME
pamdice - împarte o imagine Netpbm în mai multe imagini pe orizontală și/sau verticală

EXEMPLU

În aceste exemple, myimage.ppm este o imagine cu lățimea de 10.000 de pixeli și înălțimea de 8.000 de pixeli.

    $ pamdice myimage.ppm -width=1000 -height=1000 -outstem=myimage_part CW     $ pamundice myimage_part_%1d_%1a.ppm -across=10 -down=8 >myimage.ppm

    $ pamdice myimage.ppm -height=1000 -voverlap=90 -outstem=myimage_part

    $ pamdice myimage.ppm -width=1000 -height=1000 -outstem=myimage_part \         -listfile=tiles.txt CW     $ pamundice -across=10 -down=8 -listfile=tiles.txt >myimage.ppm

    $ pamdice myimage.ppm -width=1000 -height=1000 -outstem=myimage_part \ CW        -indexfile=tiles.pam CW    $ pamundice myimage_part_%1d_%1a.ppm -indexfile=tiles.pam >myimage.ppm

SINOPSIS

pamdice

-outstem=nume-fișier_bază

[-outsuffix=sufix-nume-fișier]

[-width=lățimea]

[-height=înălțimea]

[-hoverlap=suprapunere_pe_orizontală]

[-voverlap=suprapunere_pe_verticală]

[-numberwidth=N]

[-listfile=nume-fișier_text]

[-indexfile=nume-fișier_pam

[-dry-run]

[-verbose]

[nume-fișier]

Toate opțiunile pot fi abreviate la cel mai scurt prefix unic. Puteți utiliza două liniuțe în loc de una. Puteți separa numele unei opțiuni și valoarea acesteia cu un spațiu alb în loc de semnul egal.

DESCRIERE

Acest program face parte din Netpbm(1).

pamdice citește o imagine PAM, PBM, PGM sau PPM ca intrare și o împarte orizontal și/sau vertical în bucăți de dimensiuni egale și le scrie în fișiere separate ca același tip de imagine. Opțional, puteți face ca bucățile să se suprapună.

Vedeți opțiunea -outstem pentru informații privind denumirea fișierelor de ieșire.

Opțiunile -width și -height determină dimensiunea pieselor de ieșire.

pamundice poate reuni imaginile. Pentru un control mai fin, puteți utiliza și pamcat.

O utilizare a acestui instrument este de a crea bucăți care necesită mai puține resurse de calculator decât întreaga imagine pentru procesare. De exemplu, s-ar putea să aveți o imagine atât de mare încât un editor de imagini să nu o poată citi pe toată în memorie sau să o proceseze foarte lent. Cu pamdice, o puteți împărți în bucăți mai mici, le puteți edita pe rând și apoi le puteți reasambla.

O altă utilizare este imprimarea unei imagini mari în bucăți mici, de dimensiunea unei imprimante, pe care le puteți lipi împreună. ppmglobe face un lucru similar; vă permite să lipiți piesele împreună într-o sferă.

Dacă doriți să tăiați bucăți dintr-o imagine individual, nu într-o grilă regulată, utilizați pamcut.

OPȚIUNI

În plus față de opțiunile comune tuturor programelor bazate pe libnetpbm (mai ales -quiet, a se vedea Common Options (index.html#commonoptions) ), pamdice recunoaște următoarele opțiuni de linie de comandă:

-outstem=nume-fișier_bază
    Această opțiune determină numele fișierelor de ieșire. Fiecare fișier de ieșire se numește nume-fișier_bază_y_x.tip, unde nume-fișier_bază este valoarea opțiunii -outstem, x și y sunt locațiile orizontale și verticale, respectiv, în imaginea de intrare a imaginii de ieșire, zero fiind cea mai din stânga și cea de sus, iar tip este . pbm, .pgm, .ppm sau .pam, în funcție de tipul imaginii.

    x și y sunt umplute cu zerouri la început, deci au aceeași lățime în fiecare fișier. Utilizați -numberwidth pentru a specifica această lățime; în caz contrar, lățimea implicită este lățimea minimă care funcționează pentru toate fișierele. De exemplu, dacă aveți 25 de porțiuni transversale și nu aveți -numberwidth, x este de 2 cifre pentru toate fișierele de ieșire. Cea mai din stânga porțiune este numerotată „00”; următoarea este „01”, etc. Cu -numberwidth=3, x este '000', '001', etc.

    Puteți înlocui sufixul tipului de fișier cu o opțiune -outsuffix.

-outsuffix=sufix-nume-fișier
    Aceasta specifică sufixul pentru numele fișierelor de ieșire. pamdice nu adaugă un punct.

    Exemplu: -outsuffix=.pnm

    Valoarea implicită este un sufix adecvat pentru tipul de imagine, de exemplu „.ppm”.

    Această opțiune a fost introdusă în Netpbm 11.11 (iunie 2025).

-numberwidth=N
    Această opțiune determină lățimea numerelor din numele fișierelor de ieșire. Consultați opțiunea -outstem pentru detalii.

    Nu este valabil să se specifice o lățime mai mică decât cea necesară pentru a reprezenta toate porțiunile.

    Această opțiune a fost introdusă în Netpbm 11.10 (martie 2025).

-width=lățimea
    Aceasta indică lățimea în pixeli a imaginilor de ieșire. Piesele din dreapta sunt mai mici decât aceasta dacă imaginea de intrare nu este un multiplu de lățime pixeli lățime.

    Dacă nu specificați acest lucru, valoarea implicită este întreaga lățime a imaginii; de exemplu, pamdice nu se împarte pe verticală.

-height=înălțimea
    Aceasta indică înălțimea în pixeli a imaginilor de ieșire. Piesele de jos sunt mai mici decât aceasta dacă imaginea de intrare nu este un multiplu de înălțime pixeli înălțime.

    Dacă nu specificați acest lucru, valoarea implicită este întreaga înălțime a imaginii; de exemplu, pamdice nu se împarte pe orizontală.

-hoverlap=suprapunere_pe_orizontală
    Aceasta indică suprapunerea orizontală în pixeli între imaginile de ieșire. Fiecare imagine dintr-un rând o va suprapune pe cea anterioară cu suprapunere_pe_orizontală pixeli. În mod implicit, nu există nicio suprapunere.

    Această opțiune a fost introdusă în Netpbm 10.23 (iulie 2004).

-voverlap=suprapunere_pe_verticală
    Aceasta indică suprapunerea verticală în pixeli între imaginile de ieșire. Fiecare rând de imagini se va suprapune peste rândul anterior cu suprapunere_pe_verticală pixeli. În mod implicit, nu există nicio suprapunere.

    Această opțiune a fost introdusă în Netpbm 10.23 (iulie 2004).

-listfile=nume-fișier_text
    Aceasta determină programul să genereze un fișier care enumeră numele tuturor fișierelor de plăci-de-mozaic pe care le creează. Acesta este în ordinea rând-major. De exemplu,

    $ pamdice -width=100 -height=100 -outstem=myimage_part -listfile=mylist.txt \ -numberwidth=3 myimage.ppm

    pe o imagine 200x200 generează fișierul mylist.txt care conține următoarele:

         myimage_part_000_000.ppm
         myimage_part_000_001.ppm
         myimage_part_001_000.ppm
         myimage_part_001_001.ppm

    Puteți utiliza acest fișier listă cu pamundice -listfile în locul unui argument de model al numelui fișierului de intrare, ceea ce vă poate scuti de probleme de coordonare a modelelor utilizate în invocările pamdice și pamundice.

    Această opțiune a fost introdusă în Netpbm 11.10 (martie 2025).

-indexfile=nume-fișier_pam
    Acest lucru determină programul să genereze un fișier care conține o imagine PAM care conține numerele de rang și de fișier pentru plăcile-de-mozaic. Este pur și simplu o imagine a cărei lățime și înălțime sunt numărul de porțiuni orizontale și, respectiv, verticale, în care fiecare tuplă este doar numărul rândului și al coloanei respectivei tuple. De exemplu, dacă pamdice produce 3 porțiuni pe orizontală și 2 în jos, imaginea arată astfel:

            (0,0) (0,1) (0,2)
            (1,0) (1,1) (1,2)

    Adâncimea imaginii este 2, tipul de tuple este „grid_coord” (un tip de tuple inventat pentru utilizarea cu pamdice și pamundice), iar valoarea maximă este 255, cu excepția cazului în care înălțimea sau lățimea este mai mare de 256, caz în care este 65535.

    Această imagine poate fi utilă ca intrare pentru pamundice, în special după efectuarea unor transformări asupra ei. Exemplul principal al unei astfel de utilizări este răsturnarea unei imagini mari. Puteți tăia imaginea cu pamdice, apoi să răsturnați fiecare dintre plăcile-de-mozaic produse (cu pamflip), apoi să răsturnați imaginea index (din nou cu pamflip), apoi să utilizați pamundice cu plăcile-de-mozaic răsturnate și imaginea index răsturnată pentru a genera o versiune răsturnată a imaginii mari originale.

    Această opțiune a fost introdusă în Netpbm 11.10 (martie 2025).

-dry-run
    Aceasta face ca pamdice să omită crearea imaginilor plăcilor-de-mozaic de ieșire. Acesta creează totuși fișierul listă (cu -listfile) și fișierul index (cu -indexfile) și verifică majoritatea erorilor.

    Această opțiune a fost introdusă în Netpbm 11.10 (martie 2025).

-verbose
    Afișează informații despre procesare la ieșirea de eroare standard.

ISTORIC

pamdice a fost introdus în Netpbm 9.25 (martie 2002).

  Înainte de Netpbm 10.29 (august 2005), exista o limită de 100 de „felii/porțiuni” în fiecare direcție, iar numele fișierelor de ieșire foloseau întotdeauna două cifre pentru numărul „feliei/porțiunii”.

CONSULTAȚI ȘI
pamundice(1) , pamcut(1) , pamcat(1) , pgmslice(1) , ppmglobe(1) pamflip(1) pnm(1) pam(1)

SURSA DOCUMENTULUI
Această pagină de manual a fost generată de instrumentul Netpbm «makeman» din sursa HTML. Documentația principală este la

    http://netpbm.sourceforge.net/doc/pamdice.html

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.